Bug 71345 - unquoted tildes in aliases trash terminal
Summary: unquoted tildes in aliases trash terminal
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh   
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-12 15:24 UTC by Pawel Salek
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version: RH9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-09 07:21:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pawel Salek 2002-08-12 15:24:17 UTC
Description of problem:
Following comand
alias r ~user
where user is an non-system user (not necessarily existing one), will trash the
the terminal with random characters.


How reproducible:
Sometimes (always, as long as described conditions are met).

Steps to Reproduce:
0. login at the console (sometimes you can get same effect even in X terminal
window):
1. tcsh
2. alias r ~username
	

Actual Results:   'L,]9[bhYq%'d:+~+2Ue(}xZ%6Ad4yHA(.A|e=45)'<G'`G_^==*eG;t%= @v 



Expected Results:  I should get a prompt.

Additional info:
this cannot be reproduced with tcsh-6.12

Comment 1 Pawel Salek 2004-04-09 07:21:41 UTC
I think 6.12 is what everybody uses now so this report can be closed.


Note You need to log in before you can comment on or make changes to this bug.